SchoolScout API
ContactsContactidScout

Scout contact

Unlock and enrich a contact. The parent district/school must be unlocked first. 2 credits for non-internal orgs when contact is not already unlocked.

POST
/contacts/{contactId}/scout

Unlock and enrich a contact. The parent district/school must be unlocked first. 2 credits for non-internal orgs when contact is not already unlocked.

AuthorizationBearer <token>

API key (sk_live_... prefix). Generate keys in the UI under Settings > API Keys, then send it as Authorization: Bearer sk_live_...

In: header

Path Parameters

contactId*string
Formatuuid

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://loading/api/v1/contacts/497f6eca-6276-4993-bfeb-53cbbbba6f08/scout"
{
  "message": "string",
  "unlocked": true,
  "already_unlocked": true,
  "credits_charged": 0,
  "credits_remaining": 0,
  "contact_id": "string",
  "operation_key": "string",
  "property1": null,
  "property2": null
}
{
  "error": "string",
  "message": "string",
  "statusCode": -9007199254740991
}
{
  "error": "string",
  "message": "string",
  "balance": 0,
  "required": 0
}
{
  "error": "PARENT_ENTITY_LOCKED",
  "message": "string",
  "parent_entity_type": "district",
  "parent_entity_id": "550e8400-e29b-41d4-a716-446655440000",
  "unlock_cost": 0
}